document.addEventListener("DOMContentLoaded", function () {
  var videoSourceSet = false;
  function loadVideoSource(videoId, videoSource) {
    var videoElement = document.getElementById(videoId);
    if (videoElement) {
      videoElement.src = videoSource;
    }
  }
  function handleIntersection(entries, observer) {
      entries.forEach(function (entry) {
          if (entry.isIntersecting && !videoSourceSet) {
              loadVideoSource('video1', '/assets/frontend/homepage/assets/videos/team/thuc/1.mp4');
              loadVideoSource('video2', '/assets/frontend/homepage/assets/videos/team/thuc/2.mp4');
              loadVideoSource('video3', '/assets/frontend/homepage/assets/videos/team/thuc/3.mp4');
              loadVideoSource('video4', '/assets/frontend/homepage/assets/videos/team/thuc/4.mp4');
              loadVideoSource('video5', '/assets/frontend/homepage/assets/videos/team/thuc/5.mp4');
              loadVideoSource('video6', '/assets/frontend/homepage/assets/videos/team/nguy/1.mp4');
              loadVideoSource('video7', '/assets/frontend/homepage/assets/videos/team/nguy/2.mp4');
              loadVideoSource('video8', '/assets/frontend/homepage/assets/videos/team/nguy/3.mp4');
              loadVideoSource('video9', '/assets/frontend/homepage/assets/videos/team/nguy/4.mp4');
              loadVideoSource('video10', '/assets/frontend/homepage/assets/videos/team/nguy/5.mp4');
              loadVideoSource('video11', '/assets/frontend/homepage/assets/videos/team/ngo/1.mp4');
              loadVideoSource('video12', '/assets/frontend/homepage/assets/videos/team/ngo/2.mp4');
              loadVideoSource('video13', '/assets/frontend/homepage/assets/videos/team/ngo/3.mp4');
              loadVideoSource('video14', '/assets/frontend/homepage/assets/videos/team/ngo/4.mp4');
              loadVideoSource('video15', '/assets/frontend/homepage/assets/videos/team/ngo/5.mp4');
              loadVideoSource('video16', '/assets/frontend/homepage/assets/videos/team/quan/1.mp4');
              loadVideoSource('video17', '/assets/frontend/homepage/assets/videos/team/quan/2.mp4');
              loadVideoSource('video18', '/assets/frontend/homepage/assets/videos/team/quan/3.mp4');
              loadVideoSource('video19', '/assets/frontend/homepage/assets/videos/team/quan/4.mp4');
              loadVideoSource('video20', '/assets/frontend/homepage/assets/videos/team/quan/5.mp4');
              videoSourceSet = true;
          }
      });
  }

  // Create an intersection observer
  var observer = new IntersectionObserver(handleIntersection, {
      threshold: 0.5 // Adjust the threshold as needed
  });

  // Target the slick slider
  var slickSlider = document.querySelector('.team-slider');

  // Observe the slick slider
  if (slickSlider) {
      observer.observe(slickSlider);
  }
});